Renew

post
https://api.wafeq.com/v1/zatca/devices/{id}/renew/

Endpoint for renewing the specific device.

Path Params
stringrequired

A unique value identifying this device.

Body Params

The payload to renew the certificate of a device with ZATCA using a one-time password from the Fatoora portal.

stringrequiredlength ≤ 255

The one-time password to be generated from the ZATCA Fatoora Portal

Headers
string

If the account is under a Group VAT, then it is required to be the TIN of the instance under the Group VAT. Otherwise it is optional and can be used as a branch name

string

The unique identifier of the connected account you're operating on behalf of.

Connected accounts should be used only for Platforms and White Label integrations that onboard customers and report documents on their behalf. Omit the X-ZATCA-Connected-Account-Id header when registering devices or reporting documents for your own organization. See the Platforms and White Label guide.

stringrequired

The zatca environment to use, available options are ['production', 'simulation']

Response